import React from 'react';
import {Container, Segment, Divider, Grid, Label} from 'semantic-ui-react';

class DashBoardUnit extends React.Component {
    
    tick = null;

    runTick = () => {
        
    }

    componentDidMount(){
        this.tick = setInterval(this.runTick, 1000)
    }

    render(){
        let {i18n} = this.props;
        return (
            <Container style={{fontSize: '20px'}}>
                <Segment>
                    <Divider horizontal>{i18n&&i18n.t ? i18n.t('dashboard.sysinfo') : ''}</Divider>
                    <Grid columns={3}>
                        <Grid.Column textAlign="center">
                            <Label basic size="large" content={i18n&&i18n.t?i18n.t('dashboard.systime') : ''} />
                            <br />
                        </Grid.Column>
                        <Grid.Column textAlign="center">
                            <Label basic size="large" content={i18n&&i18n.t?i18n.t('dashboard.sysip') : ''} />
                            <br />
                        </Grid.Column>
                        <Grid.Column textAlign="center">
                            <Label basic size="large" content={i18n&&i18n.t?i18n.t('dashboard.sysversion') : ''} />
                            <br />
                        </Grid.Column>
                    </Grid>
                    <Divider horizontal>{i18n&&i18n.t ? i18n.t('dashboard.devstats') : ''}</Divider>

                </Segment>
            </Container>
        )
    }
}

export default DashBoardUnit;